org.apache.lucene.luke.models.tools

## Class IndexToolsFactory

- java.lang.Object
- - org.apache.lucene.luke.models.tools.IndexToolsFactory

-     public class IndexToolsFactory
      extends Object

  Factory of `IndexTools`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexToolsFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexTools` | `newInstance(Directory dir)`
    `IndexTools` | `newInstance(IndexReader reader, boolean useCompound, boolean keepAllCommits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexToolsFactory

          public IndexToolsFactory()

  - ### Method Detail

    - #### newInstance

          public IndexTools newInstance(Directory dir)

    - #### newInstance

          public IndexTools newInstance(IndexReader reader,
                                        boolean useCompound,
                                        boolean keepAllCommits)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.